com.aliyun.svideosdk.common.struct.project

## Class Timeline

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Timeline

-     public class Timeline
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timeline()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AudioTrack>` | `getAudioTracks()` Gets the audio track list.
    `float` | `getDuration()` Gets the timeline duration.
    `java.util.List<EffectTrack>` | `getEffectTracks()` Gets the effect track list.
    `java.util.List<GlobalTrack>` | `getGlobalTracks()` Gets the global track list.
    `java.util.List<PasterTrack>` | `getPasterTracks()` Gets the paster track list.
    `java.util.List<VideoTrack>` | `getPipTracks()` Gets the pic in pic track list.
    `VideoTrack` | `getPrimaryTrack()` Gets the primary video track.
    `java.util.List<VideoTrack>` | `getVideoTracks()` Gets the video track list.
    `void` | `setDuration(float duration)` Sets the timeline duration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Timeline

          public Timeline()

  - ### Method Detail

    - #### getDuration

          public float getDuration()

      Gets the timeline duration. Unit: second. Accurate to 4 decimal places.
      Returns:
        the timeline duration

    - #### setDuration

          public void setDuration(float duration)

      Sets the timeline duration. Unit: second. Accurate to 4 decimal places.
      Parameters:
        `duration` - the timeline duration

    - #### getPrimaryTrack

          public VideoTrack getPrimaryTrack()

      Gets the primary video track.
      Returns:
        the primary video track

    - #### getVideoTracks

          public java.util.List<VideoTrack> getVideoTracks()

      Gets the video track list.
      Returns:
        the video track list

    - #### getAudioTracks

          public java.util.List<AudioTrack> getAudioTracks()

      Gets the audio track list.
      Returns:
        the audio track list

    - #### getPasterTracks

          public java.util.List<PasterTrack> getPasterTracks()

      Gets the paster track list.
      Returns:
        the paster track list

    - #### getPipTracks

          public java.util.List<VideoTrack> getPipTracks()

      Gets the pic in pic track list.
      Returns:
        the pip track list

    - #### getGlobalTracks

          public java.util.List<GlobalTrack> getGlobalTracks()

      Gets the global track list.
      Returns:
        the global track list

    - #### getEffectTracks

          public java.util.List<EffectTrack> getEffectTracks()

      Gets the effect track list.
      Returns:
        the effect track list